@charset "utf-8";

body {
    background-image: url("../images/html_bg.png");
    font-size: 16px;
}

.center {
    text-align: center;
}

#rule-stage {
    background-color: white;
    width: 760px;
    margin-top: 20px;
    padding: 20px;
    border-radius: 10px;
}

h1.rule-title {
    color: crimson;
    font-size: 24px;
}

h2.rule-detail {
    color: crimson;
    font-size: 20px;
}

h2.rule-credit {
    color: black;
    font-size: 20px;
}

.border {
    border: 4px dashed orange;
    margin-top: 20px;
    margin-bottom: 20px;
}

#rule-overview {
    margin-top: 20px;
    margin-bottom: 20px;
}

ul#notes {
    color: crimson;
    list-style: square;
}

.text-through {
    text-decoration: line-through;
}

table{
  border-collapse:separate;
  border-spacing: 5px;
  width: 100%;
}

table th,table td{
  border-radius: 5px;
  text-align: center;
  padding: 10px 0;
}

table th{
  background-color: #ff69b4;
  color: white;
  border:solid 1px #e05b9f;
}

table td{
  background-color: #ffe4e1;
  border:solid 1px #f4a2b9;
}







/* 遊ぶボタン */
.button-container {
  display: flex;
  justify-content: center;
  padding: 20px 0;
}

.btn-play {
  border: none;
  outline: none;
  background: transparent;
  padding: 0;
  cursor: pointer;
  
  background: #e05275;
  border-radius: 50px;
  display: inline-block;
  transition: filter 250ms;
}

.btn-text {
  display: block;
  padding: 16px 48px;
  border-radius: 50px;
  background: #ff7495;
  color: white;
  font-size: 24px;
  font-weight: bold;
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", sans-serif;
  
  box-shadow: inset 0 4px 0 rgba(255, 255, 255, 0.4), 
              0 6px 0 rgba(0, 0, 0, 0.15);
              
  transform: translateY(-6px);
  transition: transform 0.1s ease, background-color 0.1s ease;
}

.btn-play:hover .btn-text {
  background: #ff8fa9;
  transform: translateY(-8px);
}

.btn-play:active .btn-text {
  transform: translateY(-2px);
  box-shadow: inset 0 2px 0 rgba(255, 255, 255, 0.4), 
              0 2px 0 rgba(0, 0, 0, 0.15);
}

.btn-link {
  text-decoration: none;
  display: inline-block;
  outline: none;
}